#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# This module is used to load files.

import os


##############################################################################
# LOADING FILE CONTENT
##############################################################################

# path of directory containing files
_FILES_DIR = os.path.dirname(os.path.realpath(__file__))


def read_file(filename):
    """ Stores content from a file in this directory in variable.
    """
    filepath = os.path.join(_FILES_DIR, filename)
    with open(filepath, "r") as f:
        s = f.read()
    return s


##############################################################################
# FILES
##############################################################################

# file that contains information about different hanja characters:
# - 3 fields:
#       1. hanja character(s), separated by /
#       2. korean syllable(s) representing hanja character(s), separated by /
#       3. meaning/keywords
HANJA_TXT = read_file("hanja.txt")
